//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2021.08.04 at 08:18:05 PM EET 
//


package genericinterface.epg.edafa.com;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for isRegieteredReturn complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="isRegieteredReturn">
 *   &lt;complexContent>
 *     &lt;extension base="{http://com.edafa.epg.genericInterface/}creditCardRegisterationResponse">
 *       &lt;sequence>
 *         &lt;element name="hasFormRegisteredCards" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="hasNonFormRegisteredCards" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="hasSavedRegisteredCards" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="hasUnderRegistrationCards" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="isActivated" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="isSuspended" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="isBlackListed" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="noOfRregisteredCards" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="noOfSavedCards" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="creditCardNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="activated" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="blackListed" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="suspended" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "isRegieteredReturn", propOrder = {
    "hasFormRegisteredCards",
    "hasNonFormRegisteredCards",
    "hasSavedRegisteredCards",
    "hasUnderRegistrationCards",
    "isActivated",
    "isSuspended",
    "isBlackListed",
    "noOfRregisteredCards",
    "noOfSavedCards",
    "creditCardNumber",
    "activated",
    "blackListed",
    "suspended"
})
public class IsRegieteredReturn
    extends CreditCardRegisterationResponse
{

    protected boolean hasFormRegisteredCards;
    protected boolean hasNonFormRegisteredCards;
    protected boolean hasSavedRegisteredCards;
    protected boolean hasUnderRegistrationCards;
    protected boolean isActivated;
    protected boolean isSuspended;
    protected boolean isBlackListed;
    protected int noOfRregisteredCards;
    protected int noOfSavedCards;
    @XmlElement(required = true, nillable = true)
    protected String creditCardNumber;
    protected boolean activated;
    protected boolean blackListed;
    protected boolean suspended;

    /**
     * Gets the value of the hasFormRegisteredCards property.
     * 
     */
    public boolean isHasFormRegisteredCards() {
        return hasFormRegisteredCards;
    }

    /**
     * Sets the value of the hasFormRegisteredCards property.
     * 
     */
    public void setHasFormRegisteredCards(boolean value) {
        this.hasFormRegisteredCards = value;
    }

    /**
     * Gets the value of the hasNonFormRegisteredCards property.
     * 
     */
    public boolean isHasNonFormRegisteredCards() {
        return hasNonFormRegisteredCards;
    }

    /**
     * Sets the value of the hasNonFormRegisteredCards property.
     * 
     */
    public void setHasNonFormRegisteredCards(boolean value) {
        this.hasNonFormRegisteredCards = value;
    }

    /**
     * Gets the value of the hasSavedRegisteredCards property.
     * 
     */
    public boolean isHasSavedRegisteredCards() {
        return hasSavedRegisteredCards;
    }

    /**
     * Sets the value of the hasSavedRegisteredCards property.
     * 
     */
    public void setHasSavedRegisteredCards(boolean value) {
        this.hasSavedRegisteredCards = value;
    }

    /**
     * Gets the value of the hasUnderRegistrationCards property.
     * 
     */
    public boolean isHasUnderRegistrationCards() {
        return hasUnderRegistrationCards;
    }

    /**
     * Sets the value of the hasUnderRegistrationCards property.
     * 
     */
    public void setHasUnderRegistrationCards(boolean value) {
        this.hasUnderRegistrationCards = value;
    }

    /**
     * Gets the value of the isActivated property.
     * 
     */
    public boolean isIsActivated() {
        return isActivated;
    }

    /**
     * Sets the value of the isActivated property.
     * 
     */
    public void setIsActivated(boolean value) {
        this.isActivated = value;
    }

    /**
     * Gets the value of the isSuspended property.
     * 
     */
    public boolean isIsSuspended() {
        return isSuspended;
    }

    /**
     * Sets the value of the isSuspended property.
     * 
     */
    public void setIsSuspended(boolean value) {
        this.isSuspended = value;
    }

    /**
     * Gets the value of the isBlackListed property.
     * 
     */
    public boolean isIsBlackListed() {
        return isBlackListed;
    }

    /**
     * Sets the value of the isBlackListed property.
     * 
     */
    public void setIsBlackListed(boolean value) {
        this.isBlackListed = value;
    }

    /**
     * Gets the value of the noOfRregisteredCards property.
     * 
     */
    public int getNoOfRregisteredCards() {
        return noOfRregisteredCards;
    }

    /**
     * Sets the value of the noOfRregisteredCards property.
     * 
     */
    public void setNoOfRregisteredCards(int value) {
        this.noOfRregisteredCards = value;
    }

    /**
     * Gets the value of the noOfSavedCards property.
     * 
     */
    public int getNoOfSavedCards() {
        return noOfSavedCards;
    }

    /**
     * Sets the value of the noOfSavedCards property.
     * 
     */
    public void setNoOfSavedCards(int value) {
        this.noOfSavedCards = value;
    }

    /**
     * Gets the value of the creditCardNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCreditCardNumber() {
        return creditCardNumber;
    }

    /**
     * Sets the value of the creditCardNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCreditCardNumber(String value) {
        this.creditCardNumber = value;
    }

    /**
     * Gets the value of the activated property.
     * 
     */
    public boolean isActivated() {
        return activated;
    }

    /**
     * Sets the value of the activated property.
     * 
     */
    public void setActivated(boolean value) {
        this.activated = value;
    }

    /**
     * Gets the value of the blackListed property.
     * 
     */
    public boolean isBlackListed() {
        return blackListed;
    }

    /**
     * Sets the value of the blackListed property.
     * 
     */
    public void setBlackListed(boolean value) {
        this.blackListed = value;
    }

    /**
     * Gets the value of the suspended property.
     * 
     */
    public boolean isSuspended() {
        return suspended;
    }

    /**
     * Sets the value of the suspended property.
     * 
     */
    public void setSuspended(boolean value) {
        this.suspended = value;
    }

}
